AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Image generationMidjourney

Swap Face

Submit a face-swap task with a source face image and a target image.

The Swap Face API uses an InsightFace-compatible workflow to replace a face in the target image with a face from the source image. Both Base64-encoded images should contain a clear, recognizable face.

POST/mj/insight-face/swap

Replace a face in a target image by using a clear source face image.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization header.

In: header

Request Body

application/json

The two Base64-encoded images required for face swapping.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json